//
//  CircleFromArray.swift
//  Circle
//
//  Created by Caroline Begbie on 26/11/21.
//

import SwiftUI

struct CircleFromArray: View {
  var array: [CGPoint] {
    var pointArray = [CGPoint](repeating: .zero, count: AppGlobal.pointCount)
    for i in 0..<AppGlobal.pointCount {
      pointArray[i] = AppGlobal.position(i)
    }
    return pointArray
  }
  
  var body: some View {
    ZStack {
      ForEach(0..<array.count, id: \.self) { i in
        PointView()
          .offset(x: array[i].x, y: array[i].y)
      }
    }
  }
}

struct CircleFromArray_Previews: PreviewProvider {
    static var previews: some View {
      CircleFromArray()
    }
}
