//
//  CircleOfPoints.swift
//  Circle
//
//  Created by Caroline Begbie on 26/11/21.
//

import SwiftUI

struct CircleOfPoints: View {
  let radius: CGFloat = AppGlobal.radius
  let pointCount: CGFloat = CGFloat(AppGlobal.pointCount)
  
  var body: some View {
    ZStack {
      ForEach((0...Int(pointCount) - 1), id: \.self) { point in
        let position = AppGlobal.position(point)
        PointView()
          .offset(x: position.x,
                  y: position.y)
      }
    }
  }
}

struct CircleOfPoints_Previews: PreviewProvider {
    static var previews: some View {
        CircleOfPoints()
    }
}
