//
//  ContentView.swift
//  Shared
//
//  Created by Caroline Begbie on 26/11/21.
//

import SwiftUI

enum AppGlobal {
  static let radius: CGFloat = 100
  static let pointCount = 20
  static let pointSize: CGFloat = 10

  static func position(_ index: Int) -> CGPoint {
    var position = CGPoint.zero
    let current = CGFloat(index) / CGFloat(Self.pointCount)
    position.x = Self.radius * cos(2 * .pi * current)
    position.y = Self.radius * sin(2 * .pi * current)
    return position
  }
}

struct ContentView: View {
  var body: some View {
    let size: CGFloat = 250
    VStack {
      CircleOfPoints()
        .frame(width: size, height: size)
        .background(Color.yellow)
      CircleFromArray()
        .frame(width: size, height: size)
        .background(Color.blue)
    }
  }
  
}


struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        ContentView()
    }
}
